- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

# minimization_moore.hh File Reference

This file containes the declaration of minimization_moore(). More...

Include dependency graph for minimization_moore.hh:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces
namespace | vcsn
## Functions
template<typename A, typename T>
Element< A, T > | minimization_moore (const Element< A, T > &a)
| Returns the minimal deterministic automaton associated to the input one.
template<typename A, typename T>
Element< A, T > | co_minimization_moore (const Element< A, T > &a)
| Returns the co-minimal co-deterministic automaton associated to the input one.
template<typename A, typename T>
void | minimization_moore_here (Element< A, T > &a)
| Minimalize the deterministic input automaton.
template<typename A, typename T>
void | co_minimization_moore_here (Element< A, T > &a)
| Co-minimalize the co-deterministic input automaton.

## Detailed Description

This file containes the declaration of minimization_moore().

Definition in file minimization_moore.hh.